package cn.hutool.core.convert.impl;

import cn.hutool.core.convert.AbstractConverter;

import java.time.Duration;
import java.time.temporal.TemporalAmount;

/**
 *
 * {@link Duration}对象转换器
 *
 * @author Looly
 * @since 5.0.0
 */
public class DurationConverter extends AbstractConverter {
	private static final long serialVersionUID = 1L;

	@Override
	protected Duration convertInternal(final Class<?> targetClass, final Object value) {
		if(value instanceof TemporalAmount){
			return Duration.from((TemporalAmount) value);
		} else if(value instanceof Long){
			return Duration.ofMillis((Long) value);
		} else {
			return Duration.parse(convertToStr(value));
		}
	}

}
